Commit Graph

67 Commits

Author SHA1 Message Date
R. Ryantm
3eaa2e40ba ubridge: 1.0.1 -> 1.2.1 2026-08-12 07:38:33 +00:00
Martin Weinelt
b0855da503 ubuntu-themes: remove
Depends on gtk-engine-murrine, which is being removed from nixpkgs.
2026-07-30 01:19:43 +02:00
Martin Weinelt
6e7bdea3fb gnome-icon-theme: drop (#544660) 2026-07-29 19:35:35 +00:00
R. Ryantm
4aa949058b ubports-pdk: 0-unstable-2026-02-20 -> 0-unstable-2026-07-23 2026-07-25 05:44:22 +00:00
Martin Weinelt
82f6ed6675 gnome-icon-theme: drop
Last release in 2013 and dependent on GTK 2, which we're removing.
2026-07-22 21:31:47 +02:00
Martin Weinelt
74d0964941 ubports-click: pin to setuptools 80
And don't propagate setuptools, it is not required at runtime.
2026-07-03 03:11:40 +02:00
jopejoe1
f5bfe6aabf ubuntu-sans-mono: 1.006 -> 1.100 2026-06-23 18:00:01 +02:00
R. Ryantm
d77c57cfe0 ubridge: 0.9.19 -> 1.0.1 2026-06-01 17:49:24 +00:00
R. Ryantm
e31135aec5 ubase: 0-unstable-2024-03-07 -> 0-unstable-2025-12-30 2026-04-02 00:28:45 +00:00
Yohann Boniface
b6c385dce5 ubase: init at 0-unstable-2024-03-07 (#445994) 2026-04-01 10:56:02 +00:00
Alvar Penning
6d7364a370 maintainers: remove oxzi 2026-03-23 21:16:43 +01:00
OPNA2608
69da66f29a ubports-click: Modernise
- python3Packages.buildPythonApplication supports the finalAttrs pattern now
- use tag in fetchFromGitLab
- don't put comments into phases code
- enable versionCheck in hasPkgConfigModules test
2026-03-11 11:52:01 +01:00
R. Ryantm
51d5a4a2ed ubports-pdk: 0-unstable-2026-02-10 -> 0-unstable-2026-02-20 2026-02-21 03:22:26 +00:00
R. Ryantm
47ccddc05c ubports-pdk: 0-unstable-2025-10-29 -> 0-unstable-2026-02-10 2026-02-13 09:05:26 +00:00
quantenzitrone
18dc8a95fb various: switch buildPythonApplication packages to use finalAttrs
this shouldn't create any rebuilds

the following script was used to generate this:
```fish
#!/usr/bin/env fish

# nix shell .#nixfmt nixpkgs#{nixf-diagnose,ripgrep,sd}

set base (git rev-parse HEAD)

set scope pkgs/by-name
set builder buildPythonApplication

set files (rg --files-with-matches -F "$builder rec {" $scope | sort -u)

for file in $files
    echo $file
    sd -F "$builder rec {" "$builder (finalAttrs: {" $file
    # version
    sd -F 'version}' 'finalAttrs.version}' $file
    sd -F '${version' '${finalAttrs.version' $file
    sd -F '= version' '= finalAttrs.version' $file
    sd -F 'inherit version;' 'inherit (finalAttrs) version;' $file
    sd -F ' + version;' ' + finalAttrs.version;' $file
    sd 'replaceStrings (.*) version' 'replaceStrings $1 finalAttrs.version' $file
    sd -F 'splitVersion version' 'splitVersion finalAttrs.version' $file
    sd -F 'versionAtLeast version' 'versionAtLeast finalAttrs.version' $file
    sd 'versions\.([a-z]+) version' 'versions.$1 finalAttrs.version' $file
    # src
    sd -F 'src}' 'finalAttrs.src}' $file
    sd -F '${src' '${finalAttrs.src' $file
    sd -F '= src' '= finalAttrs.src' $file
    sd -F 'inherit src;' 'inherit (finalAttrs) src;' $file
    sd -F 'inherit (src' 'inherit (finalAttrs.src' $file
    # meta
    sd -F '${meta' '${finalAttrs.meta' $file
    sd -F '= meta' '= finalAttrs.meta' $file
    sd -F 'inherit (meta' 'inherit (finalAttrs.meta' $file
    # pname (restored afterwards)
    sd -F 'pname}' 'finalAttrs.pname}' $file
    sd -F '${pname' '${finalAttrs.pname' $file
    sd -F '= pname' '= finalAttrs.pname' $file
    # combinations
    sd -F 'inherit version src;' 'inherit (finalAttrs) version src;' $file
    sd -F 'inherit src version;' 'inherit (finalAttrs) src version;' $file
    sd -F 'inherit version pname;' 'inherit (finalAttrs) version pname;' $file
    sd -F 'inherit pname version;' 'inherit (finalAttrs) pname version;' $file
    sd -F 'inherit pname src version;' 'inherit (finalAttrs) pname src version;' $file
    sd -F 'inherit pname version src;' 'inherit (finalAttrs) pname version src;' $file
    sd -F 'inherit src pname version;' 'inherit (finalAttrs) src pname version;' $file
    sd -F 'inherit src version pname;' 'inherit (finalAttrs) src version pname;' $file
    sd -F 'inherit version pname src;' 'inherit (finalAttrs) version pname src;' $file
    sd -F 'inherit version src pname;' 'inherit (finalAttrs) version src pname;' $file
    # other
    sd -F 'makeLibraryPath buildInputs' 'makeLibraryPath finalAttrs.buildInputs' $file
    sd -F 'nativeBuildInputs}' 'finalAttrs.nativeBuildInputs}' $file
    sd -F 'buildInputs}' 'finalAttrs.buildInputs}' $file
    sd -F 'propagatedBuildInputs}' 'finalAttrs.propagatedBuildInputs}' $file
    sd -F 'desktopItem}' 'finalAttrs.desktopItem}' $file
    sd -F 'runtimeLibs}' 'finalAttrs.runtimeLibs}' $file
    sd -F 'makePythonPath dependencies' 'makePythonPath finalAttrs.dependencies' $file
    sd -F 'makePythonPath propagatedBuildInputs' 'makePythonPath finalAttrs.propagatedBuildInputs' $file
    sd -F 'libPath}' 'finalAttrs.libPath}' $file
    sd -F 'runtimeDependencies}' 'finalAttrs.runtimeDependencies}' $file
    sd -F 'runtimeDeps}' 'finalAttrs.runtimeDeps}' $file
    sd -F 'nativeRuntimeInputs}' 'finalAttrs.nativeRuntimeInputs}' $file
    sd -F '(!doCheck)' '(!finalAttrs.doCheck)' $file
    sd -F 'optional doCheck' 'optional finalAttrs.doCheck' $file
    sd -F 'optionals doCheck' 'optionals finalAttrs.doCheck' $file
    sd -F '++ runtimeDependencies' '++ finalAttrs.runtimeDependencies' $file
    # close finalAttrs lambda
    echo ')' >>$file
    # catch some errors early
    if ! nixfmt $file
        git restore $file
        continue
    end
    if ! nixf-diagnose -i sema-primop-overridden $file
        git restore $file
        continue
    end
end

set torestore (rg -F .finalAttrs --files-with-matches $scope)
if test (count $torestore) -gt 0
    git restore $torestore
end
set torestore (rg -F finalAttrs.pname --files-with-matches $scope)
if test (count $torestore) -gt 0
    git restore $torestore
end

# commit for faster eval times
git add pkgs
git commit --no-gpg-sign -m temp
set torestore

for file in $files
    # file hasn't changed
    if git diff --quiet $base $file
        continue
    end
    # try to eval the package to definitely catch all errors
    echo $file
    set pname (string split / $file -f 4)
    if ! nix eval .#$pname
        set torestore $torestore $file
    end
end

# restore files that don't eval
git reset --soft $base
git restore --staged .
if test (count $torestore) -gt 0
    git restore $torestore
end
```

after that some manual cleanup was done:
- restoring files that cause changes in the number of lines
- restoring files that cause rebuilds
- restoring files that cause merge conflicts with staging
2026-02-07 10:06:06 +01:00
Fernando Rodrigues
3562403503 treewide: fetchFromGitea -> fetchFromCodeberg
Most packages that used fetchFromGitea fetch their sources from Codeberg, so might as well migrate them.

The following command was used for this treewide:
```fish
for i in (rg 'fetchFromGitea \{\n *domain = "codeberg.org";' --multiline --files-with-matches)
    sed -z 's/fetchFromGitea {\n *domain = "codeberg.org";/fetchFromCodeberg {/g' $i > $i.tmp && mv $i.tmp $i
    sed -i 's/fetchFromGitea/fetchFromCodeberg/g' $i
end
```

The following paths were manually edited:

* pkgs/by-name/xr/xrsh/package.nix
* pkgs/applications/networking/browsers/librewolf/src.nix
* pkgs/by-name/go/gotosocial/package.nix
* pkgs/by-name/ka/katawa-shoujo-re-engineered/package.nix

Co-authored-by: Gutyina Gergő <gutyina.gergo.2@gmail.com>
Signed-off-by: Fernando Rodrigues <alpha@sigmasquadron.net>
2026-01-31 21:08:16 +11:00
quantenzitrone
6b61249106 various: switch to finalAttrs pattern
this shouldn't create any rebuilds
2026-01-30 02:36:22 +01:00
Gutyina Gergő
1320453bc5 ubi_reader: remove superfluous pythonOlder 2026-01-19 10:31:49 +01:00
Michael Daniels
5ed07317e9 treewide: change 'format = "other";' to 'pyproject = false;'
Entirely find-and-replace based.

A few usages that would cause rebuilds if changed remain.

This PR should have 0 rebuilds.
2026-01-12 17:50:37 -05:00
magicquark
35fd0f77be ubpm: set qmakeFlags
- Set `UPDATE_HIDE` and `UPDATE_DISABLE` as updates are to be handled by
  `nixpkgs` rather than the software itself.

- Set `DISTRIBUTION` to mark the binary as being built/maintained via a
  Linux distribution.
2025-12-13 05:20:10 +00:00
magicquark
246fbf76dd ubpm: 0.13.0 -> 0.13.0-unstable-2025-10-18, migrate from Qt5 to Qt6
- Unstable tracking required for upstream fixes made for `Qt
  6.10`.
2025-12-13 05:20:10 +00:00
magicquark
7aeb76789b ubpm: modernise 2025-12-10 23:29:50 +00:00
magicquark
9167e2edbb ubpm: 1.10.0 -> 1.13.0
Changelog: https://codeberg.org/LazyT/ubpm/releases/tag/1.13.0
Diff: https://codeberg.org/LazyT/ubpm/compare/1.10.0...1.13.0
2025-12-10 23:29:49 +00:00
magicquark
8bef8179af ubpm: migrate to pkgs/by-name 2025-12-10 23:29:48 +00:00
Ihar Hrachyshka
567e8dfd8e treewide: clean up 'meta = with' pattern
This commit was created by a combination of scripts and tools:
- an ast-grep script to prefix things in meta with `lib.`,
- a modified nixf-diagnose / nixf combination to remove unused `with
lib;`, and
- regular nixfmt.

Co-authored-by: Wolfgang Walther <walther@technowledgy.de>
2025-12-10 18:09:49 +01:00
R. Ryantm
3df33b38cb ubports-pdk: 0-unstable-2025-06-23 -> 0-unstable-2025-10-29 2025-10-30 23:00:46 +00:00
Danil Suetin
d38bf033dc ubertooth: fix build with cmake4 2025-10-26 16:58:48 +01:00
Olivér Falvai
81954ab112 ubus: unstable-2023-12-18 -> unstable-2025-10-17 2025-10-17 19:35:45 +02:00
Kamil Monicz
81dde829f6 ubase: init at 0-unstable-2024-03-07 2025-09-25 12:41:16 +02:00
John Titor
766ad54fde treewide: remove primeos from maintainers
Signed-off-by: John Titor <50095635+JohnRTitor@users.noreply.github.com>
2025-07-06 00:00:32 +05:30
R. Ryantm
635599dce4 ubports-pdk: 0-unstable-2025-04-06 -> 0-unstable-2025-06-23 2025-06-26 09:27:09 +00:00
nixpkgs-ci[bot]
dc23b83b01 Merge master into staging-next 2025-06-07 06:05:16 +00:00
liberodark
c6729488de treewide: remove with lib Part 4 2025-06-07 00:48:50 +02:00
Grimmauld
65012b363e treewide: enable doPostInstall for libusb1 packages that expose udev rules
`libusb1` propagates the `udevCheckHook`.
Packages which depend on `libusb1` and expose udev
rules should enable the `doPostInstall` flag.
2025-05-27 21:42:39 +02:00
Peder Bergebakken Sundt
293c772518 ubi_reader: 0.8.9 -> 0.8.10 (#381211) 2025-05-01 20:31:03 +02:00
Fernando Rodrigues
05580f4b44 treewide: switch instances of lib.teams.*.members to the new meta.teams attribute
Follow-up to #394797.

Signed-off-by: Fernando Rodrigues <alpha@sigmasquadron.net>
2025-04-25 22:20:17 -03:00
László Vaskó
2c280cbd17 ubi_reader: 0.8.9 -> 0.8.10 2025-04-23 16:59:30 +02:00
László Vaskó
d7441a1328 ubi_reader: add update script 2025-04-23 16:59:30 +02:00
Nick Cao
7c08950c0a ubports-pdk: 0-unstable-2024-08-28 -> 0-unstable-2025-04-06 (#400506) 2025-04-21 17:17:58 -04:00
awwpotato
fd8bf4519b treewide: move to by-name 2025-04-21 09:02:01 -07:00
R. Ryantm
05ba300fbf ubports-pdk: 0-unstable-2024-08-28 -> 0-unstable-2025-04-06 2025-04-21 10:22:28 +00:00
Winter
a19cd4ffb1 Revert "treewide: replace rev with tag"
This reverts commit 65a333600d.

This wasn't tested for correctness with something like fodwatch [0],
and should not have been (self-)merged so quickly, especially without
further review.

It also resulted in the breakage of at least one package [1] (and that's
the one we know of and was caught).

A few packages that were updated in between this commit and this revert
were not reverted back to using `rev`, but other than that, this is a
1:1 revert.

[0]: https://codeberg.org/raphaelr/fodwatch
[1]: https://github.com/NixOS/nixpkgs/pull/396904 / 758551e458
2025-04-08 02:57:25 -04:00
Pol Dellaiera
65a333600d treewide: replace rev with tag 2025-04-07 16:57:22 +02:00
José Romildo Malaquias
5344a07283 ubuntu-themes: 20.10 -> 24.04 (#388418) 2025-03-13 07:47:37 -03:00
Peder Bergebakken Sundt
357d2530e5 treewide: substitute pname for strings
Inspired by https://github.com/NixOS/nixpkgs/pull/387725#issuecomment-2704943777, script is based on https://github.com/NixOS/nixpkgs/pull/336172 using what i learned in https://github.com/NixOS/nixpkgs/pull/386865, part of https://github.com/NixOS/nixpkgs/issues/346453

Should be zero rebuilds.

All candidates were made using:

```shell

export NIXPKGS_ALLOW_UNFREE=1
export NIXPKGS_ALLOW_INSECURE=1
export NIXPKGS_ALLOW_BROKEN=1

git-wait restore .

test -s packages.json || ( set -x;
  time nix-env --extra-experimental-features no-url-literals --option system x86_64-linux -f ./. -qaP --json --meta --drv-path --out-path --show-trace --no-allow-import-from-derivation --arg config '{ allowAliases = false; }' > packages.json
)

list_attrpath_fname_col() {
    jq <packages.json 'to_entries[] | select(.value.meta.position==null|not) | "\(.key)\t\(.value.meta.position)"' -r |
        sed -e "s#\t$(realpath .)/#\t#" |
        sed -e 's#:\([0-9]*\)$#\t\1#' |
        grep . |
        grep -iv haskell |
        grep -iv /top-level/ |
        grep -iv chicken |
        grep pkgs/by-name/ |
        grep -iv build |
        grep -E '/(package|default)\.nix'
}

FLOCKDIR="$(mktemp -d)"
N_WORKERS=4
while read attrpath fname col; do
    grep -qE 'repo *= *("\$\{pname\}"|pname);' "$fname" || continue

    echo | (
        # mutex on fname
        flock --nonblock 200 || {
            >&2 echo "failed to aquire lock for $fname"
            exit 1
        }

        echo "$attrpath"
        data="$(nix eval --impure  --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json)" || exit
        test -n "$data" || exit
        pname="$(jq <<<"$data" .pname -r)"
        test -n "$pname" || exit

        (set -x
            sd -F '${pname}'  "$pname"         "$fname"
            sd -F ' = pname;' " = \"$pname\";" "$fname"
        )

        data2="$(nix eval --impure  --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json)"
        if [[ "$data" = "$data2" ]]; then
            (set -x; git-wait add "$fname")
        else
            (set -x; git-wait restore "$fname")
            exit
        fi

        (set -x
            sd -F ' rec {' ' {' "$fname"
        )

        data3="$(nix eval --impure  --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json 2>/dev/nul)"

        if [[ "$data" = "$data3" ]]; then
            (set -x; git-wait add "$fname")
        else
            (set -x; git-wait restore "$fname")
        fi

    ) 200>"$FLOCKDIR"/"$(sha256sum - <<<"$fname" | cut -d' ' -f1)".lock &

    while [[ $(jobs -p | wc -l) -ge $N_WORKERS ]]; do
        wait -n < <(jobs -p) || true
    done

done < <(list_attrpath_fname_col)

wait

git restore .

time nix-env --extra-experimental-features no-url-literals --option system x86_64-linux -f ./. -qaP --json --meta --drv-path --out-path --show-trace --no-allow-import-from-derivation --arg config '{ allowAliases = false; }' > packages2.json
```

`diff packages{,2}.json` is empty, indicating that no package nor src derivation has changed.
I checked and cherry-picked the changes using `GIT_DIFF_OPTS='-u15' git -c interactive.singleKey=true add --patch`
2025-03-11 23:55:31 +01:00
emaryn
c3bcd95161 ubuntu-themes: 20.10 -> 24.04 2025-03-09 19:54:59 +08:00
Nick Cao
a9b96f5dce ubports-click: add missing dependency on chardet 2025-03-01 15:37:48 -05:00
Cosima Neidahl
c124839df0 ubports-pdk: init at 0-unstable-2024-08-28 (#357719) 2025-02-11 11:30:13 +01:00
Vladimír Čunát
1d15050d3e ubuntu-themes: dontCheckForBrokenSymlinks = true 2025-02-05 13:02:22 +01:00
Peder Bergebakken Sundt
0cd04d3036 treewide: migrate fetchgit rev = "refs/tags/..." to tag 2025-01-04 00:19:17 +01:00